<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: json_object::data Union Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="structjson__object.html">json_object</a></li><li class="navelem"><a class="el" href="unionjson__object_1_1data.html">data</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">json_object::data Union Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a98a3964e5fb0b3a0e9d8786b8facde5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="json__types_8h.html#a81f02022906fafc71eb9197049f07f73">json_bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html#a98a3964e5fb0b3a0e9d8786b8facde5c">c_boolean</a></td></tr>
<tr class="separator:a98a3964e5fb0b3a0e9d8786b8facde5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cc4abdb21302913701ac0c8dc75e55a"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html#a9cc4abdb21302913701ac0c8dc75e55a">c_double</a></td></tr>
<tr class="separator:a9cc4abdb21302913701ac0c8dc75e55a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8464f75e1afbf640def14dde10fe88c7"><td class="memItemLeft" >struct {</td></tr>
<tr class="memitem:a4ea04b16fdfa15518f89f4db1a30c2eb"><td class="memItemLeft" >&#160;&#160;&#160;union {</td></tr>
<tr class="memitem:afeecce8b59efcadb68603db21ffcbe9f"><td class="memItemLeft" >&#160;&#160;&#160;&#160;&#160;&#160;int64_t&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#a7733181cdb631570913e3a2abfd6937c">c_int64</a></td></tr>
<tr class="separator:afeecce8b59efcadb68603db21ffcbe9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7be8e8b216c607ae153325a67bb5730"><td class="memItemLeft" >&#160;&#160;&#160;&#160;&#160;&#160;uint64_t&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#a578e0b55e16f2963e0ba5362929ae9f3">c_uint64</a></td></tr>
<tr class="separator:ab7be8e8b216c607ae153325a67bb5730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea04b16fdfa15518f89f4db1a30c2eb"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#a10f396f4e5a54d7add5d7afe43270292">cint</a></td></tr>
<tr class="separator:a4ea04b16fdfa15518f89f4db1a30c2eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab37f0649987a21f7800c573e5b7905b9"><td class="memItemLeft" >&#160;&#160;&#160;enum <a class="el" href="json__object__private_8h.html#a2c399964853692c47023a88167f551ff">json_object_int_type</a>&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#ab4ebc744a20ba74ea55b7fd97ce11bfa">cint_type</a></td></tr>
<tr class="separator:ab37f0649987a21f7800c573e5b7905b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8464f75e1afbf640def14dde10fe88c7"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html#a8464f75e1afbf640def14dde10fe88c7">c_int</a></td></tr>
<tr class="separator:a8464f75e1afbf640def14dde10fe88c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68089c942f154d4df590d8ecb476a69b"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlh__table.html">lh_table</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html#a68089c942f154d4df590d8ecb476a69b">c_object</a></td></tr>
<tr class="separator:a68089c942f154d4df590d8ecb476a69b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ad6bf2fd6d8718f55850509edfe2e45"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structarray__list.html">array_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html#a4ad6bf2fd6d8718f55850509edfe2e45">c_array</a></td></tr>
<tr class="separator:a4ad6bf2fd6d8718f55850509edfe2e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ffed7c115784eac4dbc95696bd25cf"><td class="memItemLeft" >struct {</td></tr>
<tr class="memitem:a7ea46f9e6c5331d67a10dc94e07da510"><td class="memItemLeft" >&#160;&#160;&#160;union {</td></tr>
<tr class="memitem:ad4bc0f685c71f90b34a97470dca8cc1b"><td class="memItemLeft" >&#160;&#160;&#160;&#160;&#160;&#160;char *&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#ad3f2798f4679c5a3cc7f67a42365b71f">ptr</a></td></tr>
<tr class="separator:ad4bc0f685c71f90b34a97470dca8cc1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87476c676dc61eac2f2f31078e36c6f"><td class="memItemLeft" >&#160;&#160;&#160;&#160;&#160;&#160;char&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#aaa742eb1b88b4b25ec4c27431d1576d7">data</a> [<a class="el" href="json__object__private_8h.html#a227adaf0073e17006f614190d414fa1a">LEN_DIRECT_STRING_DATA</a>]</td></tr>
<tr class="separator:ae87476c676dc61eac2f2f31078e36c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ea46f9e6c5331d67a10dc94e07da510"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#a2a16be02b4be645069ed4ee34f2b8d3e">str</a></td></tr>
<tr class="separator:a7ea46f9e6c5331d67a10dc94e07da510"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a79dfb83fa2fc2a2871ccf77a0bd80f"><td class="memItemLeft" >&#160;&#160;&#160;int&#160;&#160;&#160;<a class="el" href="unionjson__object_1_1data.html#ac2386853b8a4e7d0b28a27ed599ccef7">len</a></td></tr>
<tr class="separator:a1a79dfb83fa2fc2a2871ccf77a0bd80f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ffed7c115784eac4dbc95696bd25cf"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html#a13ffed7c115784eac4dbc95696bd25cf">c_string</a></td></tr>
<tr class="separator:a13ffed7c115784eac4dbc95696bd25cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a4ad6bf2fd6d8718f55850509edfe2e45"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structarray__list.html">array_list</a>* json_object::data::c_array</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a98a3964e5fb0b3a0e9d8786b8facde5c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="json__types_8h.html#a81f02022906fafc71eb9197049f07f73">json_bool</a> json_object::data::c_boolean</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9cc4abdb21302913701ac0c8dc75e55a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double json_object::data::c_double</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8464f75e1afbf640def14dde10fe88c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct { ... }   json_object::data::c_int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7733181cdb631570913e3a2abfd6937c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int64_t json_object::data::c_int64</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a68089c942f154d4df590d8ecb476a69b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlh__table.html">lh_table</a>* json_object::data::c_object</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a13ffed7c115784eac4dbc95696bd25cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct { ... }   json_object::data::c_string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a578e0b55e16f2963e0ba5362929ae9f3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint64_t json_object::data::c_uint64</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a10f396f4e5a54d7add5d7afe43270292"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... }   json_object::data::cint</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab4ebc744a20ba74ea55b7fd97ce11bfa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="json__object__private_8h.html#a2c399964853692c47023a88167f551ff">json_object_int_type</a> json_object::data::cint_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aaa742eb1b88b4b25ec4c27431d1576d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="unionjson__object_1_1data.html">json_object::data::data</a>[<a class="el" href="json__object__private_8h.html#a227adaf0073e17006f614190d414fa1a">LEN_DIRECT_STRING_DATA</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac2386853b8a4e7d0b28a27ed599ccef7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_object::data::len</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad3f2798f4679c5a3cc7f67a42365b71f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* json_object::data::ptr</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2a16be02b4be645069ed4ee34f2b8d3e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... }   json_object::data::str</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this union was generated from the following file:<ul>
<li><a class="el" href="json__object__private_8h.html">json_object_private.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
